Bug 212206 - New port: devel/p5-Devel-InheritNamespace: Inherit an entire namespace
Summary: New port: devel/p5-Devel-InheritNamespace: Inherit an entire namespace
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 212210
  Show dependency treegraph
 
Reported: 2016-08-27 22:41 UTC by danny
Modified: 2016-08-29 23:47 UTC (History)
2 users (show)

See Also:


Attachments
p5-Devel-InheritNamespace-20160827.log (40.31 KB, text/plain)
2016-08-27 23:01 UTC, danny
no flags Details
p5-Devel-InheritNamespace-20160827.shar (1.89 KB, text/plain)
2016-08-28 04:44 UTC, danny
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2016-08-27 22:41:51 UTC
Hi all!  Attached is a shar for a new port:

  Devel::InheritNamespace
  Inherit an entire namespace

  WWW: http://search.cpan.org/dist/Devel-InheritNamespace/

Poudriere logs below, no complaints form portlint.
Comment 1 danny 2016-08-27 23:01:28 UTC
Created attachment 174139 [details]
p5-Devel-InheritNamespace-20160827.log

Attaching poudriere logs against RELEASE and CURRENT.
Comment 2 danny 2016-08-28 04:44:42 UTC
Created attachment 174150 [details]
p5-Devel-InheritNamespace-20160827.shar

Attaching shar
Comment 3 Kurt Jaeger freebsd_committer 2016-08-28 07:01:59 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2016-08-28 07:03:34 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 28 07:02:48 UTC 2016
New revision: 421007
URL: https://svnweb.freebsd.org/changeset/ports/421007

Log:
  New port: devel/p5-Devel-InheritNamespace

  Devel::InheritNamespace
  Inherit an entire namespace

  WWW: http://search.cpan.org/dist/Devel-InheritNamespace/

  PR:		212206
  Submitted by:	danny@dannywarren.com

Changes:
  head/devel/Makefile
  head/devel/p5-Devel-InheritNamespace/
  head/devel/p5-Devel-InheritNamespace/Makefile
  head/devel/p5-Devel-InheritNamespace/distinfo
  head/devel/p5-Devel-InheritNamespace/pkg-descr
  head/devel/p5-Devel-InheritNamespace/pkg-plist
Comment 5 danny 2016-08-28 07:07:56 UTC
Thanks Kurt!
Comment 6 Mathieu Arnold freebsd_committer 2016-08-29 12:21:42 UTC
Hello,

I was wondering how you generated the plist for this port, as the tool you used is clearly broken.
Comment 7 danny 2016-08-29 18:26:01 UTC
(In reply to Mathieu Arnold from comment #6)

I generated the plist by hand, based on what I saw other prominent perl modules doing.

Is there a saner way to generate a plist?  What is broken with the current plist?
Comment 8 danny 2016-08-29 18:44:02 UTC
(In reply to Mathieu Arnold from comment #6)

Running "make makeplist" gives me:

%%SITE_PERL%%/Devel/InheritNamespace.pm
%%SITE_ARCH%%/auto/Devel/InheritNamespace/.packlist
%%PERL5_MAN3%%/Devel::InheritNamespace.3.gz

The main pm and man page entries are the same as my handmade plist, but this one includes the perl .packlist file and doesn't make sure the directory is created.

Which is more correct?
Comment 9 danny 2016-08-29 20:16:53 UTC
(In reply to Mathieu Arnold from comment #6)

Ah, I see the commits you had to make to clean up all the ports I submitted, I understand where I went wrong now.

I'll make sure to submit correctly in the future, sorry for adding extra work.
Comment 10 Mathieu Arnold freebsd_committer 2016-08-29 23:42:38 UTC
Yes, make makeplist gives the "right" output, but for the .packlist file, which is added automatically to it.  I'm not sure how to fix that.
Comment 11 danny 2016-08-29 23:47:46 UTC
(In reply to Mathieu Arnold from comment #10)

That makes sense, thank you for taking the time to point those problems out.  I think I've got a handle on where I went wrong.

I'm fixing up the other two pending new ports of mine that haven't yet been committed, so that those (hopefully) won't require intervention as well.